# Generated by Django 2.1.7 on 2019-07-10 13:49

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('angled', '0039_info_unit_school_creation_reading_school_creation_tagged_school_creation'),
    ]

    operations = [
        migrations.CreateModel(
            name='info_unit_zone',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('eol', models.DateTimeField(blank=True, null=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('name', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='of_zone_name', to='angled.Term')),
                ('project', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Project')),
                ('transaction', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='angled.Transaction')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'verbose_name_plural': 'zone',
                'ordering': ['-created_at'],
                'verbose_name': 'zone',
            },
        ),
        migrations.CreateModel(
            name='Reading_zone',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('audience', models.ForeignKey(default=0, on_delete=django.db.models.deletion.CASCADE, related_name='unit_audience_zone', to='angled.Audience')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='readings', to='angled.info_unit_zone')),
            ],
        ),
        migrations.CreateModel(
            name='Tagged_zone',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('tag', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='unit_tag_zone', to='angled.Tag')),
                ('unit', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='tagged_zone', to='angled.info_unit_zone')),
            ],
        ),
    ]
